<?php

namespace App\View\Components\Appends;

use App\Models\ProgramAppends;
use Illuminate\View\Component;

class AppendListItem extends Component
{
    /**
     * @var ProgramAppends
     */
    public $append;
    /**
     * @var bool
     */
    public $enableEdit;

    /**
     * @param $append ProgramAppends
     */
    public function __construct(ProgramAppends $append, bool $enableEdit=true)
    {
        $this->append = $append;
        $this->enableEdit = $enableEdit;
    }

    public function render()
    {
        return view('components.appends.item');
    }
}
