<?php

namespace App\View\Components\Appends;

use App\Models\ProgramAppends;
use Illuminate\Support\Collection;
use Illuminate\View\Component;

class AppendList extends Component
{
    /**
     * @var ProgramAppends[]|Collection
     */
    public $appends;
    /**
     * @var bool
     */
    public $enableEdit;

    /**
     * @param $appends ProgramAppends|Collection
     * @param bool $enableEdit
     */
    public function __construct($appends, bool $enableEdit=true)
    {
        $this->appends = $appends;
        $this->enableEdit = $enableEdit;
    }

    public function render()
    {
        return view('components.appends.list');
    }
}
